<div class="row" *ngIf="member">
  <div class="col-4">
    Your Profile:
  </div>
  <div class="col-8">
    <div class="alert alert-info" *ngIf="editForm.dirty">
      <strong>Information:</strong> You have made changes. Any unsaved changes will be lost
    </div>
  </div>
  <div class="col-4">
    <div class="card">
      <img src="{{member.photoUrl || './assets/user.png'}}" alt="{{member.knownAs}}" class="card-img-top img-thumbnail">
      <div class="card-body">
        <div>
          <strong>Location:</strong>
          <p>{{member.city}}, {{member.country}}</p>
        </div>
        <div>
          <strong>Age:</strong>
          <p>{{member.age}}</p>
        </div>
        <div>
          <strong>Last active:</strong>
          <p>{{member.lastActive | timeago}}</p>
        </div>
        <div>
          <strong>Member since:</strong>
          <p>{{member.created | date: 'dd MMM yyyy'}}</p>
        </div>
      </div>
      <div class="card-footer">
        <button [disabled]="!editForm.dirty" form="editForm" class="btn btn-success btn-block">Save Changes</button>
      </div>
    </div>
  </div>
  <div class="col-8">
    <tabset class="member-tabset">
      <tab heading="About {{member.knownAs}}">
        <form #editForm="ngForm" id="editForm" (ngSubmit)="updateMember()">
          <h4>Introduction</h4>
          <textarea class="form-control" [(ngModel)]="member.introduction" name="introduction" rows="6"></textarea>
          <h4 class="mt-2">Looking for</h4>
          <textarea class="form-control" [(ngModel)]="member.lookingFor" name="lookingFor" rows="6"></textarea>
          <h4 class="mt-2">Interests</h4>
          <textarea class="form-control" [(ngModel)]="member.interests" name="interests" rows="6"></textarea>
          <h4 class="mt-2">Location details</h4>
          <div class="form-inline">
            <label for="city">City</label>
            <input [(ngModel)]="member.city" type="text" id="city" name="city" class="form-control mx-2">
            <label for="country">Country</label>
            <input [(ngModel)]="member.country" type="text" id="country" name="city" class="form-control mx-2">
          </div>
        </form>
      </tab>

      <tab heading="Edit Photos">
        <app-photo-editor [member]="member"></app-photo-editor>
      </tab>

    </tabset>
  </div>
</div>
